View Issue Details

IDProjectCategoryView StatusLast Update
0003279unrealircdpublic2007-04-26 09:25
ReporterShining PhoenixAssigned Tostskeeps 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformi386OSLinuxOS Version2.6.10-1.771_FC2
Product Version3.2.6 
Target VersionFixed in Version3.3-alpha0 
Summary0003279: /invite and masked channels
DescriptionWhen I invite someone on another server into a channel they cannot enter because of its channel mask, I still get "Robby has been invited to #blah:deathstar.netstable.net", but I don't get the "-battlestar.ipv6.netstable.net:@#- Phoenix invited Robby into the channel."
I think either I should get a notice and "..has been invited...", or no notice and an error reply.
TagsNo tags attached.
3rd party modules

Relationships

child of 0003281 resolvednenolod Removal of masked channels 

Activities

Shining Phoenix

2007-04-17 22:54

reporter   ~0013490

A bit more...
When I invited someone into a masked channel that they can join, the opnotice from the server didn't show. The channel was #w00t:*e*s*.netstable.net

stskeeps

2007-04-26 09:25

reporter   ~0013738

Fixed in related bug

Issue History

Date Modified Username Field Change
2007-04-17 22:50 Shining Phoenix New Issue
2007-04-17 22:54 Shining Phoenix Note Added: 0013490
2007-04-18 02:34 stskeeps Relationship added child of 0003281
2007-04-18 04:47 stskeeps Status new => acknowledged
2007-04-26 09:25 stskeeps Status acknowledged => resolved
2007-04-26 09:25 stskeeps Fixed in Version => 3.3-alpha0
2007-04-26 09:25 stskeeps Resolution open => fixed
2007-04-26 09:25 stskeeps Assigned To => stskeeps
2007-04-26 09:25 stskeeps Note Added: 0013738